
  //@flow

  import {
  BANNER, BUTTON_GROUP, IMAGE, LIST_ITEM, MULTINPUT, PAGE_TITLE, PICKER,
  PRODUCT_BANNER, PRODUCT_TITLE, PREM_GROUP, PLAN_INFO, INSURE_YEAR, MULT, PRODUCT_IMAGE,
  SERVICE_IMAGE, NOTICE, POLICY_PROGRESS, PROGRESS, INSURED_TITLE, GRAY_LABEL, INSURED_NAME, TEXT_INPUT,
  INSURED_PREM, INSURED_PRODUCT, PAYMENT_TITLE, PAYMENT_NOTICE, CHECKBOX, PAYMENT_TYPE,
} from './keys';

export default {
  layout: {
    [POLICY_PROGRESS]: {// 组件的唯一标识，用来串联 layout, rules
      type: PROGRESS, // 组件类型
      data: [],
      index: 0,
    },
    [PAYMENT_NOTICE]: {
      type: NOTICE, // 组件类型
      text: '订单已生成,请尽快完成支付,以免因超时导致支付失败。', //标题
    },
    [INSURED_TITLE]: {
      type: GRAY_LABEL, // 组件类型
      text: '被保人信息', //标题
    },
    [INSURED_PRODUCT]: {
      type: TEXT_INPUT,
      text: '产品名称', //标题
      value: '',
      onEndEditing: () => {
      }, //编辑完成
      mask: false,
      editable: true,
    },
    [INSURED_PREM]: {
      type: TEXT_INPUT,
      text: '保费', //标题
      value: '',
      onEndEditing: () => {
      }, //编辑完成
      mask: false,
      editable: true,
    },
    [PAYMENT_TITLE]: {
      type: GRAY_LABEL, // 组件类型
      text: '产品信息', //标题
    },
    [PAYMENT_TYPE]: {
      type: CHECKBOX, // 组件类型
      data:[{
        title: '',
        detail: '',
        imgUrl: '',
      }], //选项
      onSelect: () => {},
      selectIndex: -1,
    },
  },
  rules: {},
  keys: [POLICY_PROGRESS, INSURED_TITLE, INSURED_PRODUCT, INSURED_PREM, PAYMENT_TITLE, PAYMENT_TYPE],
};
